<?php

require_once 'SebastianBergmann/CliParser/autoload.php';
require_once 'SebastianBergmann/Version/autoload.php';
require_once 'SebastianBergmann/FileIterator/autoload.php';
require_once 'SebastianBergmann/Timer/autoload.php';

spl_autoload_register(
  function ($class)
  {
      static $classes = NULL;
      static $path    = NULL;

      if ($classes === NULL) {
          $classes = array(
              'sebastianbergmann\\phpcpd\\application' => '/CLI/Application.php',
                'sebastianbergmann\\phpcpd\\arguments' => '/CLI/Arguments.php',
                'sebastianbergmann\\phpcpd\\argumentsbuilder' => '/CLI/ArgumentsBuilder.php',
                'sebastianbergmann\\phpcpd\\argumentsbuilderexception' => '/Exceptions/ArgumentsBuilderException.php',
                'sebastianbergmann\\phpcpd\\codeclone' => '/CodeClone.php',
                'sebastianbergmann\\phpcpd\\codeclonefile' => '/CodeCloneFile.php',
                'sebastianbergmann\\phpcpd\\codeclonemap' => '/CodeCloneMap.php',
                'sebastianbergmann\\phpcpd\\codeclonemapiterator' => '/CodeCloneMapIterator.php',
                'sebastianbergmann\\phpcpd\\detector\\detector' => '/Detector/Detector.php',
                'sebastianbergmann\\phpcpd\\detector\\strategy\\abstractstrategy' => '/Detector/Strategy/AbstractStrategy.php',
                'sebastianbergmann\\phpcpd\\detector\\strategy\\defaultstrategy' => '/Detector/Strategy/DefaultStrategy.php',
                'sebastianbergmann\\phpcpd\\exception' => '/Exceptions/Exception.php',
                'sebastianbergmann\\phpcpd\\log\\abstractxmllogger' => '/Log/AbstractXmlLogger.php',
                'sebastianbergmann\\phpcpd\\log\\pmd' => '/Log/PMD.php',
                'sebastianbergmann\\phpcpd\\log\\text' => '/Log/Text.php'
          );

          $path = dirname(__FILE__);
      }

      $cn = strtolower($class);

      if (isset($classes[$cn])) {
          require $path . $classes[$cn];
      }
  }
);
